// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "SimpleTexturedMaterial.hpp"
#include "game/DawnGame.hpp"

using namespace Dawn;

SimpleTexturedMaterial::SimpleTexturedMaterial(SceneItem *i) :
  Material(i)
{
}

void SimpleTexturedMaterial::onStart() {
  this->shaderLock = this->getGame()->renderManager.getShaderManager()->lockShader<SimpleTexturedShader>();
}

void SimpleTexturedMaterial::onDispose() {
  this->getGame()->renderManager.getShaderManager()->releaseShader<SimpleTexturedShader>(this->shaderLock);
}

Shader * SimpleTexturedMaterial::getShader() {
  return this->getGame()->renderManager.getShaderManager()->getShader<SimpleTexturedShader>(this->shaderLock);
}